[PATCH] src/password-store.sh: remove non-POSIX -v flag from rm
noneofyourbusiness
stpavlenko at kolabnow.ch
Thu Oct 20 11:16:04 UTC 2022
otherwise it'll fail with minimal but compliant implementations of rm
this came to my attention when I tried to remove an entry
Signed-off-by: noneofyourbusiness <stpavlenko at kolabnow.ch>
---
src/password-store.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/src/password-store.sh b/src/password-store.sh
index 22e818f..cb85f8d 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -337,7 +337,7 @@ cmd_init() {
if [[ $# -eq 1 && -z $1 ]]; then
[[ ! -f "$gpg_id" ]] && die "Error: $gpg_id does not exist and so cannot be removed."
- rm -v -f "$gpg_id" || exit 1
+ rm -f "$gpg_id" || exit 1
if [[ -n $INNER_GIT_DIR ]]; then
git -C "$INNER_GIT_DIR" rm -qr "$gpg_id"
git_commit "Deinitialize ${gpg_id}${id_path:+ ($id_path)}."
@@ -584,7 +584,7 @@ cmd_delete() {
[[ $force -eq 1 ]] || yesno "Are you sure you would like to delete $path?"
- rm $recursive -f -v "$passfile"
+ rm $recursive -f "$passfile"
set_git "$passfile"
if [[ -n $INNER_GIT_DIR && ! -e $passfile ]]; then
git -C "$INNER_GIT_DIR" rm -qr "$passfile"
--
2.38.0
More information about the Password-Store
mailing list